package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 管线改造进度对象 t_pipe_old_plan_progress
 *
 * @author zehong
 * @date 2026-02-10
 */
public class TPipeOldPlanProgress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 计划表编号 */
    @Excel(name = "计划表编号")
    private String serialNumber;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startTime;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 建设内容 */
    @Excel(name = "建设内容")
    private String constructionContent;

    /** 坐标 */
    private String coordinates;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSerialNumber(String serialNumber)
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber()
    {
        return serialNumber;
    }
    public void setStartTime(String startTime)
    {
        this.startTime = startTime;
    }

    public String getStartTime()
    {
        return startTime;
    }
    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }
    public void setConstructionContent(String constructionContent)
    {
        this.constructionContent = constructionContent;
    }

    public String getConstructionContent()
    {
        return constructionContent;
    }
    public void setCoordinates(String coordinates)
    {
        this.coordinates = coordinates;
    }

    public String getCoordinates()
    {
        return coordinates;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("serialNumber", getSerialNumber())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("constructionContent", getConstructionContent())
                .append("coordinates", getCoordinates())
                .append("createTime", getCreateTime())
                .append("remark", getRemark())
                .toString();
    }
}